apiVersion: forklift.konveyor.io/v1beta1
kind: Migration
metadata:
  generateName: cold-win2022-dhcp-
  resourceVersion: '1323695'
  name: cold-win2022-dhcp-hxstm
  uid: c7e4ed92-b1a6-4c38-b25c-d16d266f11a5
  creationTimestamp: '2025-09-29T02:24:52Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"e28daef3-63d2-408d-ba45-869dc7819376"}': {}
        'f:spec':
          .: {}
          'f:plan': {}
      manager: Mozilla
      operation: Update
      time: '2025-09-29T02:24:52Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:completed': {}
          'f:conditions': {}
          'f:observedGeneration': {}
          'f:started': {}
          'f:vms': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-09-29T02:25:24Z'
  namespace: openshift-mtv
  ownerReferences:
    - apiVersion: forklift.konveyor.io/v1beta1
      kind: Plan
      name: cold-win2022-dhcp
      uid: e28daef3-63d2-408d-ba45-869dc7819376
spec:
  plan:
    name: cold-win2022-dhcp
    namespace: openshift-mtv
    uid: e28daef3-63d2-408d-ba45-869dc7819376
status:
  completed: '2025-09-29T02:25:24Z'
  conditions:
    - category: Required
      lastTransitionTime: '2025-09-29T02:24:52Z'
      message: The migration is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-09-29T02:25:24Z'
      message: The migration has FAILED.
      status: 'True'
      type: Failed
  observedGeneration: 1
  started: '2025-09-29T02:24:53Z'
  vms:
    - started: '2025-09-29T02:24:53Z'
      pipeline:
        - description: Initialize migration.
          name: Initialize
          phase: Running
          progress:
            completed: 0
            total: 1
          started: '2025-09-29T02:24:53Z'
        - annotations:
            unit: MB
          description: Allocate disks.
          name: DiskAllocation
          phase: Pending
          progress:
            completed: 0
            total: 16384
          tasks:
            - annotations:
                unit: MB
              name: '[mtv-nfs-rhos-v7] mtv-feature-win2022-dhcp/mtv-feature-win2022-dhcp.vmdk'
              progress:
                completed: 0
                total: 16384
        - description: Convert image to kubevirt.
          name: ImageConversion
          phase: Pending
          progress:
            completed: 0
            total: 1
        - annotations:
            unit: MB
          description: Copy disks.
          name: DiskTransferV2v
          phase: Pending
          progress:
            completed: 0
            total: 16384
          tasks:
            - annotations:
                unit: MB
              name: '[mtv-nfs-rhos-v7] mtv-feature-win2022-dhcp/mtv-feature-win2022-dhcp.vmdk'
              progress:
                completed: 0
                total: 16384
        - description: Create VM.
          name: VirtualMachineCreation
          phase: Pending
          progress:
            completed: 0
            total: 1
      error:
        phase: CreateDataVolumes
        reasons:
          - Next step 'DiskTransfer' not found
      completed: '2025-09-29T02:25:24Z'
      name: mtv-feature-win2022-dhcp
      luks: {}
      conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: '2025-09-29T02:25:21Z'
          message: The VM migration has FAILED.
          status: 'True'
          type: Failed
      restorePowerState: 'On'
      id: vm-2378
      phase: Completed
